Package org.bukkit.event.player

# Enum Class PlayerAnimationType

java.lang.Object
java.lang.Enum<PlayerAnimationType>
org.bukkit.event.player.PlayerAnimationType

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerAnimationType>`, `Constable`

public enum PlayerAnimationType extends Enum<PlayerAnimationType>
Different types of player animations

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARM_SWING`

## Method Summary

Modifier and Type
Method
Description
`static PlayerAnimationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerAnimationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARM_SWING

public static final PlayerAnimationType ARM_SWING

## Method Details

### values

public static PlayerAnimationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerAnimationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null